orderly_poweroff
Prev | Kernel utility functions | Next

## Name

orderly_poweroff — Trigger an orderly system poweroff

## Synopsis

`int orderly_poweroff (` | bool | force`)`;

## Arguments

`force`

  force poweroff if command execution fails

## Description

This may be called from any context to trigger a system shutdown. If the orderly shutdown fails, it will force an immediate shutdown.

Prev | Up | Next
kernel_power_off | Home | call_rcu